> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Member

> PATCH /settings/members/{id} — update a member's role (admin only).



## OpenAPI

````yaml /openapi.json patch /v1/members/{member_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/members/{member_id}:
    patch:
      tags:
        - settings
      summary: Patch Member
      description: PATCH /settings/members/{id} — update a member's role (admin only).
      operationId: patch_member_v1_members__member_id__patch
      parameters:
        - in: path
          name: member_id
          required: true
          schema:
            title: Member Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberRolePatch'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    MemberRolePatch:
      properties:
        role:
          enum:
            - admin
            - analyst
            - viewer
          title: Role
          type: string
      required:
        - role
      title: MemberRolePatch
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````